Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/09/2020 in all areas

  1. Here's another existing option to consider.
    2 points
  2. Glad to help out! Keep in mind that depending on your work VPN bandwidth, and the users internet connection some of these updates could take a while to complete depending on the amount of data you're pushing.
    1 point
  3. I usually try to get things like casters from McMaster Carr.
    1 point
  4. @ojacomarket Have you seen THIS thread? Here's a quick modification to connect circles, blocks and points: (defun c:path (/ _daisychain p pt pts s x) ;; RJP » 04.09.2020 (defun _daisychain (pt l / tmp out dsort) (defun dsort (pt l / d1 d2) (vl-sort l (function (lambda (d1 d2) (< (distance pt d1) (distance pt d2))))) ) (setq tmp (dsort pt l)) (while (setq tmp (dsort (car tmp) tmp)) (setq out (cons (car tmp) out)) (setq tmp (cdr tmp))) (reverse out) ) (cond ((and (setq p (getpoint "\nPick a point to sort from: ")) (setq s (ssget '((0 . "insert,circle,point")))) (setq s (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))) (setq pts (_daisychain p (mapcar '(lambda (x) (cdr (assoc 10 (entget x)))) s))) ) (entmakex (append (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(100 . "AcDbPolyline") (assoc 8 (entget (car s))) (cons 90 (length s)) '(38 . 0.0) ) (mapcar '(lambda (x) (cons 10 x)) pts) (list '(210 0.0 0.0 1.0)) ) ) ) ) (princ) ) (vl-load-com)
    1 point
  5. You only need to set Island detection off. (defun C:CB (/) (setvar "CMDECHO" 0) (princ "\nSelect the Text/Mtext Inside the Closed Area : ") (setq selectionset (ssget '((0 . "*TEXT")))) (repeat (setq N (sslength selectionset)) (setq Data (ssname selectionset (setq N (- N 1)))) (setq EntityData (entget Data)) (setq IP_Text (cdr (assoc 10 EntityData))) (command "_-BOUNDARY" "_A" "_I" "_N" "" "" IP_Text "") ) (setvar "CMDECHO" 1) (princ) )
    1 point
  6. (defun c:Rchon (/ sel ent pt ) (setq sel (entsel "Select Line/Arc/Polyline : ")) (cond (sel (setq ent (car sel) pt (vlax-curve-getclosestpointto ent (cadr sel)) ) (setvar 'snapang (angle '(0.0 0.0 0.0) (vlax-curve-getfirstderiv ent (vlax-curve-getparamatpoint ent pt)))) ) (t (setvar 'snapang 0.0)) );end_cond (princ) ) Will set the snapang to the angle at the closest point of the picked object (Arc, Circle, Ellipse, Line, Polyline, Ray, Spline, Xline). Won't work with Mlines. Select an empty part of the screen to reset.
    1 point
×
×
  • Create New...